Copyright: Copyright ©1995 Global Majic Software, Inc.
Citation: Copyright ©1995 Global Majic Software, Inc.


Contents
Global Majic Software, Inc.

Instrumentation Custom Control Library

Knob Control

Properties	Events	Product Support	Copyright

Description:

This control is a highly customizable knob or dial control.  Properties are provided to modify knob style, mark, scale, tics, annulars, captions, border and background.  The mouse may optionally be used to change knob values.  Additionally, there are snap and multiturn functions.

Scale:

Scale is used to define the extent of the units displayed on the knob, the location of the knob center, and the knob's start and stop angles.

Knobs:

there are several styles of knobs.  Properties are provided to modify the knob's style, inner-outer radii, width, and color.  Additionally, user defined knob shapes may be specified.

Mark:

Each knob may be adorned with a single mark.  Properties are provided to modify the mark's style, inner-outer radii, width, and color.  Additionally, user defined mark shapes may be incorporated into the control.

Tics:

Tics are used to mark intervals on the control face.  Properties are provided to set the tic's style, start-stop values, interval, inner-outer radii, width, color, and label positions.

Annulars:

Annulars are used for aesthetics as well as indicators of operating ranges.  Properties are provided to modify annular's start-stop values, inner-outer radii, and color.  Multiple annular regions can be placed on a single control.

Captions:

The control can be embellished with multiple captions to indicate the type of measurement being displayed, units used or any other informative or decorative labelling.


Properties
Properties:

AnnularColor	Height	ScaleDirection
AnnularID	Index	ScaleMaxValue
AnnularInnerRadius	KnobColor	ScaleMinValue
AnnularOuterRadius	KnobMultiTurn	ScaleOriginX
Annulars	KnobMultiTurnValue	ScaleOriginY
AnnularStartValue	KnobRadius	ScaleStartAngle
AnnularStopValue	KnobSnap	ScaleStopAngle
BackgroundColor	KnobSnapIncrement	TabIndex
BackgroundPicture	KnobStyle	TabStop
BevelInner	KnobUserDefined	Tag
BevelOuter	KnobValue	TicColor
BevelWidth	Left	TicDeltaValue
BorderType	MarkColor	TicID
BorderWidth	MarkInnerRadius	TicInnerRadius
Caption	MarkOuterRadius	TicLabel
CaptionColor	MarkStyle	TicLabelRadius
CaptionID	MarkUserDefined	TicOuterRadius
Captions	MarkWidth	Tics
CaptionX	MouseControl	TicStartValue
CaptionY	MousePointer	TicStopValue
Enabled	Name	TicStyle
FrameColor	OutlineAlign	TicWidth
FramePicture	OutlineColor	Top
FrameScaleX	OutlineTitle	Visible
FrameScaleY	OutlineWidth	Width
FrameStyle


Events
Events:

Change

Click

GotFocus

LostFocus

Mouse

MouseMove

Turn


PRODUCT SUPPORT

Product support for Instrumentation Custom Control Library is available to registered users by contacting Global Majic Software, Inc. at the following locations:

Global Majic Software, Inc.

P.O. Box 322

Madison, Alabama  35758

CompuServe:  73261,3642

Internet:   73261.3642@compuserve.com

Product Support is free for a period of three (3) months from the date of registration.


Copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


AnnularColor
AnnularColor Property

Description

Determines the color of the current annular selected by AnnularID.

Usage

[form.]control.AnnularColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularStartValue, and AnnularStopValue.

Data Type

Long.


FramePicture
FramePicture Property

Description

Determines the graphic to be displayed in the frame surrounding the control face.

Usage

[form.]control.FramePicture[ = picture ]

Setting

The FramePicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Remarks

This property only applies when FrameStyle is set.

Related Properties

FrameColor, FrameScaleX, FrameScaleY, and FrameStyle.

Data Type

Integer.


AnnularID
AnnularID Property

Description

Assigns a unique ID to each annular.  This property must be set before any other annular properties are set.  The total number of annulars is determined by the Annulars property, and the AnnularID has valid values from 0 to Annulars-1.

Usage

[form.]control.AnnularID[ = integer ]

Remarks

The number of Annulars must be set before this property can be set.

Related Properties

AnnularColor, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularStartValue, and AnnularStopValue.

Data Type

Integer


AnnularInnerRadius
AnnularInnerRadius Property

Description

Determines the inner radius of the annular currently selected by AnnularID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.AnnularInnerRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.  If this is not the case, the control will not crash but the annular will not display.

Related Properties

AnnularColor, AnnularID, AnnularOuterRadius, Annulars, AnnularStartValue, and AnnularStopValue.

Data Type

Single


Unitless Scale

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control instead of twips or pixels.  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height are measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control however the units scale used is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.


AnnularOuterRadius
AnnularOuterRadius Property

Description

Determines the outer radius of the annular currently selected by AnnularID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.AnnularOuterRadius[ = single ]

Remarks

The outer radius should be greater than the inner radius.  If this is not the case, the control will not crash but the annular will not display.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, Annulars, AnnularStartValue, and AnnularStopValue.

Data Type

Single


Annulars
Annulars Property

Description

Determines the number of annular regions displayed on the control.  This property must be set before annular properties are entered.  The AnnularID is used to select the current annular to which annular properties apply.

Usage

[form.]control.Annulars[ = integer ]

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, AnnularStartValue, and AnnularStopValue.

Data Type

Integer


AnnularStartValue
AnnularStartValue Property

Description

Determines the value at which the annular region begins.  The AnnularStartValue is a number between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.AnnularStartValue[ = single ]

Remarks

The AnnularStartValue should be less than the AnnularStopValue.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, and AnnularStopValue.

Data Type

Single


ScaleMinValue
ScaleMinValue Property

Description

Determines the minimum value displayed by the scale.

Usage

[form.]control.ScaleMinValue[ = single ]

Remarks

The ScaleMinValue should be less than the ScaleMaxValue.

Related Properties

ScaleDirection, ScaleMaxValue, ScaleOriginX, ScaleOriginY, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


ScaleMaxValue
ScaleMaxValue Property

Description

Determines the maximum value displayed by the scale.

Usage

[form.]control.ScaleMaxValue[ = single ]

Remarks

The ScaleMaxValue should be greater than the ScaleMinValue.

Related Properties

ScaleDirection, ScaleMinValue, ScaleOriginX, ScaleOriginY, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


AnnularStopValue
AnnularStopValue Property

Description

Determines the value at which the annular region ends.  This value is a number between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.AnnularStopValue[ = single ]

Remarks

The AnnularStopValue should be greater than the AnnularStartValue.

Related Properties

AnnularColor, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, and AnnularStartValue.

Data Type

Single


BackgroundColor
BackgroundColor Property

Description

Determines the background color of the control.

Usage

[form.]control.BackgroundColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Data Type

Long.


BackgroundPicture
BackgroundPicture Property

Description

Determines the graphic to be displayed in the background of the control..

Usage

[form.]control.BackgroundPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using the LoadPicture function.

Data Type

Integer.


BevelInner
BevelInner Property

Description

Sets or returns the inner shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

Setting

The BevelInner property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelOuter, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelOuter
BevelOuter Property

Description

Sets or returns the outer shadow style of the control.

Usage

[form.]control.BevelOuter[ = integer ]

Setting

The BevelOuter property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.  This property is used in conjunction with BevelInner, BevelWidth, and BorderWidth.

Data Type

Integer (Enumerated)


BevelWidth
BevelWidth Property

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BorderWidth.

Data Type

Integer


BorderType
BorderType Property

Description

Sets or returns the style of the border around the control.

Usage

[form.]control.BorderType[ = integer ]

Setting

The BoderType property settings are:

Setting 	Description

0 (None)	Border is not displayed.

1 (Bevel)	3D beveled border is displayed using BevelInner, BevelOuter, BevelWidth, and BorderWidth properties.

2 (Outline)	Frame style border is displayed using OutlineAlign, OutlineColor, OutlineTitle, and OutlineWidth properties.

Data Type

Integer (Enumerated)


OutlineAlign
OutlineAlign Property

Description

Determines the alignment of the OutlineTitle at the top of the control.  This property only applies when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineAlign[ = integer ]

Setting

The OutlineAlign property settings are:

Setting 	Description

0 	Left

1 	Right

2	Center

Related Properties

BorderType, OutlineColor, OutlineTitle, and OutlineWidth.

Data Type

Integer (Enumerated)


OutlineColor
OutlineColor Property

Description

Determines the color of the outline frame and OutlineTitle surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

BorderType, OutlineAlign, OutlineTitle, and OutlineWidth.

Data Type

Long.


OutlineTitle
OutlineTitle Property

Description

Determines the text displayed as the title in the outline frame surrounding the control when the BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineTitle[ = stringexpression ]

Related Properties

BorderType, OutlineAlign, OutlineColor, and OutlineWidth.

Data Type

String


OutlineWidth
OutlineWidth Property

Description

Determines the thickness (in pixels) of the outline frame surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineWidth[ = integer ]

Related Properties

BorderType, OutlineAlign, OutlineColor, and OutlineTitle.

Data Type

Integer


BorderWidth
BorderWidth Property

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Remarks

This property works in conjunction with BevelInner, BevelOuter and BevelWidth.

Data Type

Integer


Caption
Caption Property

Description

Determines the text displayed for the caption currently selected by CaptionID.  The number of captions displayed on the control is set by the Captions property.

Usage

[form.]control.Caption[ = stringexpression ]

Related Properties

CaptionColor, CaptionID, Captions, CaptionX, and CaptionY.

Data Type

String


CaptionColor
CaptionColor Property

Description

Determines the caption color of the current caption selected by CaptionID.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

Caption, CaptionID, Captions, CaptionX, and CaptionY.

Data Type

Long.


CaptionID
CaptionID Property

Description

Determines the ID of the currently selected caption.  This property must be set before caption properties are entered.  The total number of captions is determined by the Captions property, and the CaptionID has valid values from 0 to Captions-1.

Usage

[form.]control.CaptionID[ = integer ]

Remarks

The number of Captions must be set before this property can be set.

Related Properties

Caption, CaptionColor, Captions, CaptionX, and CaptionY.

Data Type

Integer.


Captions
Captions Property

Description

Determines the number of captions displayed on the control.  This property must be set before caption properties are entered.  The CaptionID is used to select the current caption for which caption properties are applied.

Usage

[form.]control.Captions[ = integer ]

Related Properties

Caption, CaptionColor, CaptionID, CaptionX, and CaptionY.

Data Type

Integer


CaptionX
CaptionX Property

Description

Determines the horizontal position of the caption currently selected by the CaptionID property.  This property is based on a unitless scale and typically has values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionX[ = single ]

Related Properties

Caption, CaptionColor, CaptionID, Captions, and CaptionY.

Data Type

Single


CaptionY
CaptionY Property

Description

Determines the vertical position of the caption currently selected by the CaptionID property.  This property is based on a unitless scale and typically has values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionY[ = single ]

Related Properties

Caption, CaptionColor, CaptionID, Captions, and CaptionX.

Data Type

Single


ScaleStopAngle
ScaleStopAngle Property

Description

Determines the angle of the scale's clockwise extreme.  When ScaleDirection is set 0 (Clockwise), the ScaleStopAngle corresponds to ScaleMaxValue and when ScaleDirection is set 1 (Counter Clockwise), the ScaleStopAngle corresponds to ScaleMinValue.

Usage

[form.]control.ScaleStopAngle[ = single ]

Remarks

Start and stop angles are bound between 0 and 360 degrees.  Values outside this range are automatically corrected.

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, ScaleStartAngle.

Data Type

Single


FrameColor
FrameColor Property

Description

Determines the frame color surrounding the control face.

Usage

[form.]control.FrameColor[ = color ]

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using the RGB or QBColor functions.

Related Properties

FramePicture, FrameScaleX, FrameScaleY, and FrameStyle.

Data Type

Long.


FrameScaleX
FrameScaleX Property

Description

Determines the horizontal size of the opening inside of the frame surrounding the control.  For a circular FrameStyle, this property is used to define the radius of the opening inside the frame surrounding the control.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleX[ = single ]

Related Properties

FrameColor, FramePicture, FrameScaleY, and FrameStyle.

Data Type

Single


FrameScaleY
FrameScaleY Property

Description

Determines the vertical size of the opening inside of the frame surrounding the control.  For a circular FrameStyle, this property does not apply.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleY[ = single ]

Related Properties

FrameColor, FramePicture, FrameScaleX, and FrameStyle.

Data Type

Single


FrameStyle
FrameStyle Property

Description

Sets or returns the style of the frame surrounding the control.

Usage

[form.]control.FrameStyle[ = integer ]

Setting

The FrameStyle property settings are:

Setting 	Description

0 (None)	A frame is not displayed.

1 (Circle)	A circular frame is displayed using FrameScaleX as the internal radius.

2 (Rectangle)	A rectangular frame is displayed using FrameScaleX and FrameScaleY properties to size the interior size of the frame.

Related Properties

FrameColor, FramePicture, FrameScaleX, and FrameScaleY.

Data Type

Integer (Enumerated)


MouseControl
MouseControl Property

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Allows the control's value to be modified with mouse input.

False	Disables mouse input to the control.

Data Type

Integer (Boolean)


TicWidth
TicWidth Property

Description

Determines the width of the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicWidth[ = single ]

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle

Data Type

Single


TicStyle
TicStyle Property

Description

Determines the style of the tic currently selected by TicID.

Usage

[form.]control.TicStyle[ = integer ]

Setting

The TicStyle property settings are:

Setting 	Description

0 	Rectangle

1	Triangle

2	Diamond

3	Circle

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicWidth.

Data Type

Integer (Enumerated)


TicStopValue
TicStopValue Property

Description

Determines the value at which the tic marks stop.  This value is a number between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.TicStopValue[ = single ]

Remarks

The TicStopValue should be greater than the TicStartValue.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStyle, TicWidth.

Data Type

Single


Tics
Tics Property

Description

Determines the number of tic sets displayed on the control.  This property must be set before tic properties are entered.  The TicID property is used to select the current tic set to which the tic properties apply.

Usage

[form.]control.Tics[ = integer ]

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Integer


TicStartValue
TicStartValue Property

Description

Determines the value at which the tic marks start.  This value is a number between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.TicStartValue[ = single ]

Remarks

The TicStartValue should be less than the TicStopValue.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicOuterRadius
TicOuterRadius Property

Description

Determines the outer radius of the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicOuterRadius[ = single ]

Remarks

The outer radius should be greater than the inner radius.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicLabelRadius
TicLabelRadius Property

Description

Determines the radius that labels are displayed for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicLabelRadius[ = single ]

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicLabel
TicLabel Property

Description

Enables and disables labels at each tic mark for the tic set currently selected by TicID.  The position of the tic labels is defined by the TicLabelRadius property.

Usage

[form.]control.TicLabel[ = {TRUE|FALSE} ]

Setting

The TicLabel property settings are:

Setting 	Description

True	Labels are displayed.

False	Labels are not displayed.

Related Properties

TicColor, TicDeltaValue, TicID, TicInnerRadius, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Integer (Boolean)


TicInnerRadius
TicInnerRadius Property

Description

Determines the inner radius of the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicInnerRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.

Related Properties

TicColor, TicDeltaValue, TicID, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicID
TicID Property

Description

Determines the ID of the currently selected set of tic marks.  This property must be set before other tic properties are entered.  The total number of tic sets is determined by the Tics property, and the TicID has valid values from 0 to Tics-1.

Usage

[form.]control.TicID[ = integer ]

Remarks

The number of tics must be set before this property can be set.

Related Properties

TicColor, TicDeltaValue, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Integer


TicDeltaValue
TicDeltaValue Property

Description

Determines the interval value between tic marks for the tic set currently selected by TicID.

Usage

[form.]control.TicDeltaValue[ = single ]

Related Properties

TicColor, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Single


TicColor
TicColor Property

Description

Determines the color for the tic set currently selected by TicID.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

TicDeltaValue, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle, TicWidth.

Data Type

Long.


ScaleOriginY
ScaleOriginY Property

Description

Determines the horizontal position of the knob center.  This property is based on a unitless scale and typically has values between -1.0 and 1.0, where a value of 0.0 is located in the center of the control..

Usage

[form.]control.ScaleOriginY[ = single ]

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


ScaleStartAngle
ScaleStartAngle Property

Description

Determines the angle of the scale's counter clockwise extreme.  When ScaleDirection is set 0 (Clockwise), the ScaleStartAngle corresponds to ScaleMinValue and when ScaleDirection is set 1 (Counter Clockwise), the ScaleStartAngle corresponds to ScaleMaxValue.

Usage

[form.]control.ScaleStartAngle[ = single ]

Remarks

Start and stop angles are bound between 0 and 360 degrees.  Values outside this range are automatically corrected.

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, ScaleStopAngle.

Data Type

Single


ScaleOriginX
ScaleOriginX Property

Description

Determines the horizontal position of the knob center.  This property is based on a unitless scale and typically has values between -1.0 and 1.0, where a value of 0.0 is located in the center of the control..

Usage

[form.]control.ScaleOriginX[ = single ]

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleOriginY, ScaleStartAngle, ScaleStopAngle.

Data Type

Single


ScaleDirection
ScaleDirection Property

Description

Determines the direction of increasing values for the control (from ScaleMinValue to ScaleMaxValue).

Usage

[form.]control.ScaleDirection[ = integer ]

Setting

The ScaleDirection property settings are:

Setting 	Description

0 	Clockwise

1 	Counter Clockwise

Related Properties

ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, ScaleStartAngle, ScaleStopAngle.

Data Type

Integer (Enumerated)


KnobColor
KnobColor Property

Description

Determines the knob's color.

Usage

[form.]control.KnobColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

KnobMultiTurn, KnobMultiTurnValue, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined, and KnobValue

Data Type

Long


KnobStyle
KnobStyle Property

Description

Sets or returns the style of the knob.

Usage

[form.]control.KnobStyle[ = integer ]

Setting

The KnobStyle property settings are:

Setting 	Description

0 	Circular

1 	Pointer

2	Complex

3	Faucet

4	User-defined

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobRadius, KnobSnap, KnobSnapIncrement, KnobUserDefined, and KnobValue

Data Type

Integer (Enumerated)


MarkStyle
MarkStyle Property

Description

Sets or returns the style of the knob's mark.

Usage

[form.]control.MarkStyle[ = integer ]

Setting

The NeedleStyle property settings are:

Setting 	Description

0 	None

1 	Circular

2 	Triangular

3	Arrow

4	User-defined

Related Properties

MarkColor, MarkInnerRadius, MarkOuterRadius, MarkUserDefined, and MarkWidth

Data Type

Integer (Enumerated)


MarkColor
MarkColor Property

Description

Determines the knob's mark color.

Usage

[form.]control.MarkColor[ = color ]

Remarks

This property can be set using the RGB or QBColor functions.

Related Properties

MarkInnerRadius, MarkOuterRadius, MarkStyle, MarkUserDefined, and MarkWidth

Data Type

Long.


MarkInnerRadius
MarkInnerRadius Property

Description

Determines the inner radius of the knob's mark.  The scale of this property is based on the knob's size . For example, an inner radius of 0.0 and an outer radius of 1.0 yeilds a mark from the knob's center to its outer edge.

Usage

[form.]control.MarkInnerRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.

Related Properties

MarkColor, MarkOuterRadius, MarkStyle, MarkUserDefined, and MarkWidth

Data Type

Single


MarkWidth
MarkWidth Property

Description

Determines the width of the knob's mark.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.MarkWidth[ = single ]

Related Properties

MarkColor, MarkInnerRadius, MarkOuterRadius, MarkStyle, and MarkUserDefined

Data Type

Single


MarkOuterRadius
MarkOuterRadius Property

Description

Determines the outer radius of the knob's mark.  The scale of this property is based on the knob's size . For example, an inner radius of 0.0 and an outer radius of 1.0 yeilds a mark from the knob's center to its outer edge.

Usage

[form.]control.MarkOuterRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.

Related Properties

MarkColor, MarkInnerRadius, MarkStyle, MarkUserDefined, and MarkWidth

Data Type

Single


KnobSnap
KnobSnap Property

Description

Enables or disables the control's ability to snap to a KnobValue divisible by KnobSnapIncrement.

Usage

[form.]control.KnobSnap[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Limits KnobValue to the increments defined by KnobSnapIncrement.

False	Enables KnobValue to have any floating point value within the range defined by the scale (default).

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobRadius, KnobSnapIncrement, KnobStyle, KnobUserDefined, and KnobValue

Data Type

Integer (Boolean)


KnobRadius
KnobRadius Property

Description

Determines the outer radius of the knob.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.KnobRadius[ = single ]

Remarks

The outer radius should be greater than zero.

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined, and KnobValue

Data Type

Single


KnobValue
KnobValue Property

Description

Determines the value of the knob.  The KnobValue is a number between ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.KnobValue[ = single ]

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, and KnobUserDefined

Data Type

Single


KnobSnapIncrement
KnobSnapIncrement Property

Description

Determines the allowable incremental change of the knob's value if KnobSnap=TRUE.  For example, a control where the knob scale is 0 to 10 and KnobSnapIncrement=2 will only allow KnobValues of 0, 2, 4, 6, 8, and 10.

Usage

[form.]control.KnobSnapIncrement[ = integer ]

Remarks

This property is ignored if KnobSnap=FALSE

Related Properties

KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobRadius, KnobSnap, KnobStyle, KnobUserDefined, and KnobValue

Data Type

Integer


KnobUserDefined
KnobUserDefined Property

MarkUserDefined Property

Description

Determines the shape of a user defined knob or mark.  This property only applies when KnobStyle = 4 (for knobs) or when MarkStyle=4 (for marks).  This property defines a polygon made from a list of x,y coordinate pairs (comma delimited).  The shape is defined using a coordinate system in which (0,0) is located at the center of the knob and the "pointer" of the knob (or tip of the mark) is typically defined as (0,1000).

Usage

[form.]control.KnobUserDefined[ = string expression ]

[form.]control.MarkUserDefined[ = string expression ]

Example

Knob1.MarkUserDefined = "250,0,   250,750,   500,750,   0,1000,   -500,750,   -250,750,   -250,0"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

The following image is a screen snap shot of the above shape used in a simple control (knob not shown).

Related Properties

KnobUserDefined:	KnobColor, KnobMultiTurn, KnobMultiTurnValue, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, and KnobValue

MarkUserDefined:	MarkColor, MarkInnerRadius, MarkOuterRadius, MarkStyle, and MarkWidth

Data Type

String


KnobMultiTurn
KnobMultiTurn Property

Description

This property determines wether or not the control can turn through multiple revolutions.  The number of revolutions is dependent on the KnobMultiTurnValue property.

Usage

[form.]control.KnobMultiTurn[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

True	Multiple knob revolutions allowed

False	Limits the knob to one revolution as defined by ScaleStartAngle and ScaleStopAngle (default).

Related Properties

KnobColor, KnobMultiTurnValue, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined, and KnobValue

Data Type

Integer (Boolean)


KnobMultiTurnValue
KnobMultiTurnValue Property

Description

This property is used to determine how many revolutions a knob can turn.  The number of revolutions is determined by the knob's maximum value (ScaleMaxValue) divided by the KnobMultiTurnValue property.  For example, a knob where ScaleMaxValue=500 and KnobMultiTurnIncrement=100 can make 5 complete revolutions.

Usage

[form.]control.KnobMultiTurnValue[ = Integer ]

Remarks

This property is ignored if KnobMultiTurn=False.

Related Properties

KnobColor, KnobMultiTurn, KnobRadius, KnobSnap, KnobSnapIncrement, KnobStyle, KnobUserDefined, and KnobValue

Data Type

Integer